import { Component, OnInit, QueryList, ViewChild, ViewChildren } from '@angular/core';
import { IGridScrollEventArgs, IgxGridComponent } from 'igniteui-angular';

import { DATA } from './customers';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'kb8226-app1';

  @ViewChildren(IgxGridComponent) grids!: QueryList<IgxGridComponent>;

  public data1: any[] = [];
  public data2: any[] = [];

  constructor(){}

  ngOnInit(): void {
    this.data1 = [...DATA];
    this.data2 = [...DATA];
  }

  public onScroll(scrolledGrid: IgxGridComponent, args: IGridScrollEventArgs){
    this.grids.forEach(grid => {
      if(grid !== scrolledGrid){
        const igxForOf = (args.direction === 'vertical' ? grid.verticalScrollContainer : grid.headerContainer);
        if(igxForOf.scrollPosition !== args.scrollPosition){
          igxForOf.scrollPosition = args.scrollPosition;
        }
      }
    });
  }
}
